/shorts.v1alpha1.StockService/GetStockGraphGetStockGraph
Get a stock's people (with their other companies) and narrative-similar companies
Parameters
Define the version of the Connect protocol
Define the timeout, in ms
Request Body
Request for GetStockGraph RPC
max people / similar companies to return (default 12) (proto int32)
(proto string)
Responses
Response for GetStockGraph RPC
(proto shorts.v1alpha1.GraphPerson)
A person connected to the stock (director/officer) with their other ASX roles
(proto shorts.v1alpha1.GraphPeer)
A narratively/semantically similar company
Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation
The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
A list of messages that carry the error details. There is no limit on the number of messages.
Contains an arbitrary serialized message along with a @type that describes the type of the serialized message, with an additional debug field for ConnectRPC error details.
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.StockService/GetStockGraph" \
-H "Content-Type: application/json" \
-d '{
"limit": 0,
"stockCode": "string"
}'curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.StockService/GetStockGraph" \
-H "Content-Type: application/json" \
-d '{
"limit": 0,
"stockCode": "string"
}'